Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058970 - [abrt] btrfs-progs: btrfs_reserve_extent(): btrfsck killed by SIGABRT
Summary: [abrt] btrfs-progs: btrfs_reserve_extent(): btrfsck killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: btrfs-progs
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Josef Bacik
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ec3080b1ba690b17aacbe967d6c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-28 21:49 UTC by Tim Jones
Modified: 2015-06-29 14:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:50:23 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2014-01-28 21:49 UTC, Tim Jones
no flags Details
File: cgroup (deleted)
2014-01-28 21:49 UTC, Tim Jones
no flags Details
File: core_backtrace (deleted)
2014-01-28 21:49 UTC, Tim Jones
no flags Details
File: dso_list (deleted)
2014-01-28 21:49 UTC, Tim Jones
no flags Details
File: environ (deleted)
2014-01-28 21:49 UTC, Tim Jones
no flags Details
File: limits (deleted)
2014-01-28 21:49 UTC, Tim Jones
no flags Details
File: maps (deleted)
2014-01-28 21:49 UTC, Tim Jones
no flags Details
File: open_fds (deleted)
2014-01-28 21:49 UTC, Tim Jones
no flags Details
File: proc_pid_status (deleted)
2014-01-28 21:49 UTC, Tim Jones
no flags Details
File: var_log_messages (deleted)
2014-01-28 21:49 UTC, Tim Jones
no flags Details

Description Tim Jones 2014-01-28 21:49:34 UTC
Description of problem:
My btrfs filesystem has failed, after a reboot. No idea how to reproduce it - I'd not like to as I've just lost a lot of stuff! :(

I was seeing a lot of these kind of things:

[ 2095.846260] parent transid verify failed on 456197648384 wanted 142099 found 142097
[ 2095.846427] parent transid verify failed on 456197648384 wanted 142099 found 142097

I attempted to run 'btrfsck --repair' and 'btrfsck -b --repair' on the device, both core dumped (SEGV'd) part way through, and now I can't do anything else with the device.

Version-Release number of selected component:
btrfs-progs-3.12-1.fc20

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        btrfsck -b --repair /dev/sdc1
crash_function: btrfs_reserve_extent
executable:     /usr/sbin/btrfsck
kernel:         3.12.8-300.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 btrfs_reserve_extent at extent-tree.c:2682
 #5 alloc_tree_block at extent-tree.c:2755
 #6 btrfs_alloc_free_block at extent-tree.c:2806
 #7 __btrfs_cow_block at ctree.c:276
 #8 btrfs_cow_block at ctree.c:369
 #9 btrfs_search_slot at ctree.c:1040
 #10 prune_one_block at cmds-check.c:4930
 #11 prune_corrupt_blocks at cmds-check.c:4992
 #12 check_extent_refs at cmds-check.c:5067
 #13 check_chunks_and_extents at cmds-check.c:5533

Comment 1 Tim Jones 2014-01-28 21:49:38 UTC
Created attachment 856844 [details]
File: backtrace

Comment 2 Tim Jones 2014-01-28 21:49:40 UTC
Created attachment 856845 [details]
File: cgroup

Comment 3 Tim Jones 2014-01-28 21:49:46 UTC
Created attachment 856846 [details]
File: core_backtrace

Comment 4 Tim Jones 2014-01-28 21:49:47 UTC
Created attachment 856847 [details]
File: dso_list

Comment 5 Tim Jones 2014-01-28 21:49:49 UTC
Created attachment 856848 [details]
File: environ

Comment 6 Tim Jones 2014-01-28 21:49:51 UTC
Created attachment 856849 [details]
File: limits

Comment 7 Tim Jones 2014-01-28 21:49:54 UTC
Created attachment 856850 [details]
File: maps

Comment 8 Tim Jones 2014-01-28 21:49:56 UTC
Created attachment 856851 [details]
File: open_fds

Comment 9 Tim Jones 2014-01-28 21:49:57 UTC
Created attachment 856852 [details]
File: proc_pid_status

Comment 10 Tim Jones 2014-01-28 21:49:59 UTC
Created attachment 856853 [details]
File: var_log_messages

Comment 11 Tim Jones 2014-01-28 22:00:37 UTC
I just found 'btrfs-zero-log' which has allowed me to re-mount the device ... attempting to update my backups now!

Comment 12 Tim Jones 2014-01-30 18:46:26 UTC
Unfortunately all the files had the correct file sizes, but they were also full of just a single 0x01 char, so all data was lost :(

Comment 13 Eric Sandeen 2014-05-13 16:39:09 UTC
btrfs-progs-3.14.1 has been pushed to Fedora 19 and 20 for testing.

I frankly have no idea if this will resolve your bug or not, but if you test it and find that it does, please take the opportunity to close this bug.  :)

Thanks,
-Eric

Comment 14 Dale Turner 2014-05-24 01:05:26 UTC
Another user experienced a similar problem:

I was partitioning a second hard disk in my system (sda) into sda1 and sda2. Formatted both at btrfs. Labelled sda1 as "backup". Added sda2 to "home".

reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        btrfs fi label /dev/sda1 fedora_enterprise_backup
crash_function: btrfs_reserve_extent
executable:     /usr/sbin/btrfs
kernel:         3.14.4-200.fc20.x86_64
package:        btrfs-progs-3.12-1.fc20
reason:         btrfs killed by SIGABRT
runlevel:       3 5
type:           CCpp
uid:            0

Comment 15 Fedora End Of Life 2015-05-29 10:43:24 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2015-06-29 14:50:23 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.